
Infrastructure - Bug #1667

Service methods using Sessions (certs) need to throw InvalidToken

2011-07-07 16:04 - Rob Nahf

Status: Closed Start date: 2011-07-07

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

2 methods in MN Tier1 apis have methods that use certificates, but don't throw InvalidToken exception.  Since certificates expire, this

exception should always be throwable. Other methods elsewhere probably have the same problem.

Known methods:

MNRead.synchronizationFailed()

MNCore.getOperationStatistics()

Subtasks:

Task # 1669: update java interfaces and client implementations Closed

Task # 1668: check documentation for missing InvalidToken exceptions Closed

Task # 1670: update python implementations related to missing InvalidToken exceptions Closed

History

#1 - 2011-08-16 18:29 - Rob Nahf

- Position set to 36

- Target version changed from Sprint-2011.26-Block.4 to Sprint-2011.33-Block.4

#2 - 2011-08-30 01:44 - Dave Vieglais

- Position set to 1

- Position deleted (43)

- Target version deleted (Sprint-2011.33-Block.4)

#3 - 2011-08-30 01:47 - Dave Vieglais

- Position set to 2

- Position deleted (3)

#4 - 2012-01-06 03:59 - Dave Vieglais

- Assignee set to Rob Nahf

#5 - 2012-01-06 03:59 - Dave Vieglais

- Milestone changed from CCI-0.6.2 to CCI-1.0.0

- Target version set to Sprint-2012.01-Block.1.1

#6 - 2012-01-17 22:57 - Rob Nahf

- Target version changed from Sprint-2012.01-Block.1.1 to Sprint-2012.03-Block.1.2

- Position deleted (143)

- Position set to 1

- Position changed from 1 to 352
#7 - 2012-02-08 19:23 - Dave Vieglais

- Position set to 1

- Position deleted (368)

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

#8 - 2012-02-13 18:24 - Dave Vieglais

- Status changed from New to Closed
